//@import './navs';
//@import './form';
//@import './layout';
//@import './widgets';
//@import './post';
//@import './editor';
//@import './tags';

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;

  &::-webkit-scrollbar {
    width: 5px;
    height: 5px;
    background-color: transparent;
  }

  &::-webkit-scrollbar-thumb {
    background-color: transparent;
  }

  &:hover {
    &::-webkit-scrollbar-thumb {
      background-color: rgba(darkgrey, 0.5);
    }
  }
}

html,
body,
#app, {
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  font-family: Roboto, sans-serif;
  font-size: 1rem;
}

#app {
  display: grid;
  grid-template-rows: auto 1fr;
}

#content {
  display: grid;
  grid-template-rows: repeat(auto-fit, 1fr);
  overflow: auto;
}

.wrapper {
  > * {
    height: 100%;
  }
}

p,
ul,
a,
button,
input,
textarea,
select,
article {
  margin: 0;
  padding: 0;
  list-style: none;
  text-decoration: none;
  display: block;
  background-color: transparent;
  border: none;
  width: 100%;
  color: inherit;

  &:hover,
  &:focus,
  &:focus {
    outline: none;
  }
}

.pad {
  &-20 {
    padding: 20px;
  }

  &-40 {
    padding: 40px;
  }
}

.actions {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-end;
  .action {
    a, button {
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: center;
      padding: 10px 20px;
      cursor: pointer;
      font-size: 14px;

      &:hover, &:active {
        color: darken(#fff, 40)
      }
    }
  }
}

@import "./grids";
@import "./editor";
@import "./post";

@media screen and (max-width: 480px) {
}
